• 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
DataMapper 1.6.0

[eluser]WanWizard[/eluser]
DMZ 1.6.0 is not supported anymore. The latest official release is 1.7.1.
If it works on one server, but not on another, it's not a Datamapper problem.

Either you missed something when you copied the code over, the code is not identical, you're using non-standard CI or Datamapper code, or you have a problem with the PHP and/or database version.

You can do
Code:
$p->check_last_query();
on both servers after the where_in query to see if there are differences in the queries generated, and try to debug it from there.

[eluser]cladff[/eluser]
thanks for ur advice i'll test it Smile
where can i find datamapper 1.7.1 ?? i didn't understood this part

[eluser]WanWizard[/eluser]
See http://datamapper.exitecms.org/pages/download.html for all official releases, or http://bitbucket.org/wanwizard/datamapper/get/tip.zip for the current development version (which is going to be 1.8.0 in a week or so).

[eluser]juanin[/eluser]
I'm trying Datamapper + Codeignite 2 and when I try to start the tutorial going to http://localhost/Codeingiter/index.php/examples I receive
Fatal error: Class 'Controller' not found in C:\xampp\htdocs\Codeingiter\application\controllers\examples.php on line 13.

At line 13 I see this parent::Controller();

Where is the problem ? Compatibility with CI2 ?

Thanks

[eluser]juanin[/eluser]
Making this:

class Examples extends CI_Controller {


function __construct()
{
parent::__construct();
$this->load->helper('url');

$this->output->enable_profiler(TRUE);
}/**
* Constructor
*
* Initialize Examples.
*/
/*function Examples()
{
parent::Controller();

$this->load->helper('url');

$this->output->enable_profiler(TRUE);
}*/

Solved the problem...probably CI2 changed something.

[eluser]juanin[/eluser]
After that the index example works but each link give me 404 error pages.

[eluser]WanWizard[/eluser]
Datamapper 1.6.0 is a very old version. The current version is 1.8.0, use the search.

The included examples are tested on the current release version of CI, which is still 1.7.3. If you want to use 2.0, you'll have to make the modifications yourself.

[eluser]juanin[/eluser]
[quote author="WanWizard" date="1292459298"]See http://datamapper.exitecms.org/pages/download.html for all official releases, or http://bitbucket.org/wanwizard/datamapper/get/tip.zip for the current development version (which is going to be 1.8.0 in a week or so).[/quote]

I downloaded your example but please don't use <? but <?php...best practice.

[eluser]WanWizard[/eluser]
The example is old and not maintained. I haven't looked at it since I've taken over Datamapper from Overzealous. I have to find some time to update it...

[eluser]denis747[/eluser]
Thanks very much WanWizard and all those working on Datamapper. I like it very much and I am changing my website to use it, I was using active record before. With Datamapper the site is easy to maintain and whenever I want to add any feature that accesses the database it is very easy with Datamapper. Before I discovered Datamapper, i spent about two weeks learning Doctrine2, made it work on the development server on my pc which has php 5.3. To my horror Doctrine2 could not work on the production server as my webhost has a button that says switch to php 5.3 but it doesn't as the server php configuration is still php 5.2. I like Datamapper as it so flexible like codeigniter. I will continue using Datamapper as the documentation is very good and clear, lots of examples too.


Digg   Delicious   Reddit   Facebook   Twitter   StumbleUpon  


  Theme © 2014 iAndrew  
Powered By MyBB, © 2002-2021 MyBB Group.